Skip to main content
GET
/
accounts
/
{public_key}
Account Details
curl --request GET \
  --url https://api.minaexplorer.com/accounts/{public_key}
import requests

url = "https://api.minaexplorer.com/accounts/{public_key}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.minaexplorer.com/accounts/{public_key}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "account": {
    "publicKey": "string",
    "balance": {
      "total": "string",
      "unknown": "string",
      "lockedBalance": null
    },
    "nonce": 0,
    "receiptChainHash": "string",
    "delegate": "string",
    "votingFor": "string",
    "totalTx": 0,
    "totalBlocks": 0,
    "totalSnarks": 0,
    "countPendingTransactions": 0,
    "firstPendingTransaction": [
      {}
    ],
    "username": "string",
    "epochStakingAccount": [
      {
        "pk": "string",
        "balance": "string",
        "delegate": "string",
        "token": 0,
        "receipt_chain_hash": "string",
        "voting_for": "string",
        "nonce": 0,
        "epoch": 0,
        "chainId": "string",
        "public_key": "string"
      }
    ],
    "nextEpochStakingAccount": [
      {}
    ],
    "epochDelegators": [
      {
        "pk": "string",
        "balance": "string",
        "delegate": "string",
        "token": 0,
        "receipt_chain_hash": "string",
        "voting_for": "string",
        "nonce": 0,
        "epoch": 0,
        "chainId": "string",
        "public_key": "string"
      }
    ],
    "nextEpochDelegators": [
      {}
    ],
    "epochTotalStakingBalance": "string",
    "nextEpochTotalStakingBalance": "string"
  }
}
{
  "message": "No account found for that public key."
}

Path Parameters

public_key
string
required

Public key of the account

Response

OK

account
object
required